package com.muyu.processing.basic;

import cn.hutool.json.JSONObject;
import org.springframework.context.ApplicationEvent;

/**
 * 事件类型
 * @Author：杨鹏
 * @Package：com.muyu.processing.basic
 * @Project：car-cloud-server
 * @name：EventCustom
 * @Date：2024/9/29 21:18
 */
public class EventCustom extends ApplicationEvent{
    private JSONObject data;
    public EventCustom(Object source, JSONObject data) {
        super(source);
        this.data = data;
    }

    public JSONObject getData(){
        return data;
    }
}
